CREATE TABLE IF NOT EXISTS secret_key (
    secretKeyID VARCHAR(18) NOT NULL COMMENT '秘钥ID，主键',
    orgId VARCHAR(36) COMMENT '组织ID',
    name VARCHAR(15) COMMENT '名称',
    scenario VARCHAR(255) COMMENT '场景',
    publicKey TEXT COMMENT '公钥',
    publicKeyFileName VARCHAR(255) COMMENT '公钥文件名',
    privateKey TEXT COMMENT '私钥',
    privateKeyFileName VARCHAR(255) COMMENT '私钥文件名',
    status BIGINT COMMENT '状态',
    createTime DATETIME DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    updateTime DATETIME DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',

    PRIMARY KEY (secretKeyID)
    ) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='KMS秘钥信息表';
